# GCC_ConferenceTransferIndication Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_ConferenceTransferIndication:

List of all members.

## Public Types

enum | OptionalFields { e_conferenceNameModifier, e_networkAddress, e_transferringNodes, e_password }

## Public Member Functions

| GCC_ConferenceTransferIndication (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

GCC_ConferenceNameSelector | m_conferenceName
GCC_ConferenceNameModifier | m_conferenceNameModifier
GCC_NetworkAddress | m_networkAddress
GCC_ArrayOf_UserID | m_transferringNodes
GCC_PasswordSelector | m_password

## Member Enumeration Documentation

enum GCC_ConferenceTransferIndication::OptionalFields

Enumerator:

  e_conferenceNameModifier |
  e_networkAddress |
  e_transferringNodes |
  e_password |

## Constructor & Destructor Documentation

GCC_ConferenceTransferIndication::GCC_ConferenceTransferIndication | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_ConferenceTransferIndication::GetDataLength | ( |  | ) | const

PBoolean GCC_ConferenceTransferIndication::Decode | ( | PASN_Stream & | strm | ) |

void GCC_ConferenceTransferIndication::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_ConferenceTransferIndication::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_ConferenceTransferIndication::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_ConferenceTransferIndication::Clone | ( |  | ) | const

## Member Data Documentation

GCC_ConferenceNameSelector GCC_ConferenceTransferIndication::m_conferenceName

GCC_ConferenceNameModifier GCC_ConferenceTransferIndication::m_conferenceNameModifier

GCC_NetworkAddress GCC_ConferenceTransferIndication::m_networkAddress

GCC_ArrayOf_UserID GCC_ConferenceTransferIndication::m_transferringNodes

GCC_PasswordSelector GCC_ConferenceTransferIndication::m_password

The documentation for this class was generated from the following file:

- gcc.h